Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 888185 - Keyboard and mouse doesn't work outside gnome-shell
Summary: Keyboard and mouse doesn't work outside gnome-shell
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 18
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-18 08:36 UTC by abyss.7
Modified: 2014-02-05 13:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:59:27 UTC
Type: Bug


Attachments (Terms of Use)

Description abyss.7 2012-12-18 08:36:59 UTC
Description of problem:
The applications don't catch mouse clicks and keyboard keys outside of gnome-shell window. I can open activities and clicks are working, I can lock the screen, but I can't type something inside text input or click on a button.

After I locked screen I can't enter the password, but can scroll-up the front picture.

After I quit to gdm with "login as another user" I can enter the password.

Version-Release number of selected component (if applicable):
3.6.2

How reproducible:
Once

Comment 1 joh.sauer 2013-01-27 17:39:15 UTC
Hi, 

I have the same problem. I'm using F18, also Gnome 3.6.2
For me the problem occurs about once a day. So far I haven't been able to cause it intentionally. Just a some point application don't respond to keyboard and mouse anymore. Although I still can go to activities and type and use the mouse there. 

As a workaround I can go to tty with CTRL ALT F2, log in as myself and do:

DISPLAY=:0 gnome-shell --replace

However that causes other problems for example I cannot lock screen anymore and I still have to reboot at the next convenient time.

I used the F18 beta and so I think I should now have F18 just by doing the updates, but I think it's worth mentioning it. Before I used F16 and didn't have any issues.

Comment 2 Fedora End Of Life 2013-12-21 09:58:01 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2014-02-05 13:59:29 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.